GDB (xrefs)

Public Attributes | List of all members
dwarf2_fde Struct Reference

## Public Attributes
struct dwarf2_cie * | cie
CORE_ADDR | initial_location
CORE_ADDR | address_range
const gdb_byte * | instructions
const gdb_byte * | end
unsigned char | eh_frame_p

## Detailed Description

Definition at line 108 of file dwarf2-frame.c.

## Member Data Documentation

## ◆ address_range

CORE_ADDR dwarf2_fde::address_range

Definition at line 117 of file dwarf2-frame.c.

Referenced by add_fde(), bsearch_fde_cmp(), decode_frame_entry_1(), dwarf2_build_frame_info(), and qsort_fde_cmp().

## ◆ cie

struct dwarf2_cie* dwarf2_fde::cie

Definition at line 111 of file dwarf2-frame.c.

Referenced by decode_frame_entry_1(), dwarf2_fetch_cfa_info(), dwarf2_frame_find_quirks(), dwarf2_frame_sniffer(), and execute_cfa_program().

## ◆ eh_frame_p

unsigned char dwarf2_fde::eh_frame_p

Definition at line 125 of file dwarf2-frame.c.

Referenced by decode_frame_entry(), decode_frame_entry_1(), execute_cfa_program(), and qsort_fde_cmp().

## ◆ end

const gdb_byte* dwarf2_fde::end

Definition at line 121 of file dwarf2-frame.c.

Referenced by decode_frame_entry_1(), and dwarf2_fetch_cfa_info().

## ◆ initial_location

CORE_ADDR dwarf2_fde::initial_location

Definition at line 114 of file dwarf2-frame.c.

Referenced by bsearch_fde_cmp(), decode_frame_entry_1(), dwarf2_build_frame_info(), dwarf2_frame_find_fde(), execute_cfa_program(), and qsort_fde_cmp().

## ◆ instructions

const gdb_byte* dwarf2_fde::instructions

Definition at line 120 of file dwarf2-frame.c.

Referenced by decode_frame_entry_1(), and dwarf2_fetch_cfa_info().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2-frame.c